clacrm.f(3)

NAME
clacrm.f -

SYNOPSIS

  Functions/Subroutines
subroutine clacrm (M, N, A, LDA, B, LDB, C, LDC, RWORK)
CLACRM multiplies a complex matrix by a square real matrix.

Function/Subroutine Documentation

  subroutine clacrm (integerM, integerN, complex, dimension( lda, * )A, integerLDA, real, dimension( ldb, * )B, integerLDB, complex, dimension( ldc, * )C, integerLDC, real, dimension( * )RWORK)

CLACRM multiplies a complex matrix by a square real matrix.

Purpose:

     CLACRM performs a very simple matrix-matrix multiplication:
              C := A * B,
     where A is M by N and complex; B is N by N and real;
     C is M by N and complex.

Parameters:
    M

              M is INTEGER
              The number of rows of the matrix A and of the matrix C.
              M >= 0.

    N

              N is INTEGER
              The number of columns and rows of the matrix B and
              the number of columns of the matrix C.
              N >= 0.

    A

              A is COMPLEX array, dimension (LDA, N)
              A contains the M by N matrix A.

    LDA

              LDA is INTEGER
              The leading dimension of the array A. LDA >=max(1,M).

    B

              B is REAL array, dimension (LDB, N)
              B contains the N by N matrix B.

    LDB

              LDB is INTEGER
              The leading dimension of the array B. LDB >=max(1,N).

    C

              C is COMPLEX array, dimension (LDC, N)
              C contains the M by N matrix C.

    LDC

              LDC is INTEGER
              The leading dimension of the array C. LDC >=max(1,N).

    RWORK

              RWORK is REAL array, dimension (2*M*N)

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    September 2012

Definition at line 115 of file clacrm.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.